Summary:          C++ introspection library
Name:             idioskopos
Version:          0.4.1
Release:          1%{?dist}
License:          LGPL
URL:              http://idioskopos.sourceforge.net/
Group:            System Environment/Libraries
Source:           http://download.sourceforge.net/idioskopos/idioskopos-0.4.1.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libxml++-devel >= 2.10.0 libsigc++20-devel >= 2.0.0 pkgconfig m4

%description
idioskopos (Greek: idio- inward, within, private; -skopos look, aim, target)
is a C++ library that simplifies (hopefully) the addition of object reflection
and introspection to C++ classes. idioskopos provides classes for implementing
properties (allocates and maintains value internally), reference properties
(a property interface to an external value under your control), and virtual
properties (a property interface created from get and set methods you supply).
The approach taken is an intrusive approach. One advantage is that special
preprocessors are not necessary; either for your own code, or for those that
use your code. A disadvantage of an intrusive approach is just that; it's
intrusive, meaning you must explicitly state what class members are properties
and instantiate them in your constructors.

%package          devel
Summary:          Headers for developing programs that will use idioskopos
Group:            Development/Libraries
Requires:         idioskopos = %{version}-%{release}
Requires:         libxml++-devel >= 2.10.0 libsigc++20-devel >= 2.0.0 pkgconfig

%description    devel
This package contains the libraries and header files needed for
developing idioskopos applications.

%prep
%setup -q

%build
%configure --enable-static=no
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/lib*idioskopos*.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root,-)
%{_libdir}/*idioskopos*.so
%{_libdir}/pkgconfig/idioskopos*.pc
%{_includedir}/idioskopos-0.4/
%doc ChangeLog docs/reference


%changelog
* Wed Jan 10 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.1-1
- New release

* Thu Dec 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-2
- Bump release for make tag

* Thu Dec 07 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.4.0-1
- New release

* Sun Dec 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.3-1
- New release

* Fri Dec 01 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.2-1
- New release
- Added -p option to make install to preserve timestamps
- Removed cp of docs and changed doc inclusion to docs/reference

* Sat Nov 25 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.1-1
- New release

* Sun Nov 19 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.3.0-1
- New release
- Added libxml++ dependency

* Wed Nov 15 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.1-1
- New release

* Sun May 21 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.2.0-1
- New release
- Removed doxygen and graphviz depends

* Sun Mar 26 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.13-1
- New release
- Added doxygen and graphviz BuildRequires

* Sun Mar 12 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.12-1
- New release

* Thu Mar 09 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.11-1
- New release with iterators and array notation support for properties
- Docs built with doxygen installed properly

* Sun Mar 05 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.10-1
- Cleaned up spec a little; buildroot notation and make/rm notation
- Bugfix in 'simple' example

* Sun Mar 05 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.9-2
- Removed Requires tag, relying on BuildRequires instead
- Cleaned up Source tag and changed to bz2 files
- New upstream release (upstream is me, it's just easier to say it that way)

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.9-1
- Long overdue cleanup of configure.in et. al.
- Docs now install into $prefix/share/doc/{package}-{version}.
- Separate doc rpm consolidated into devel rpm.

* Fri Mar 03 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.8-1
- This is a cleanup release. autoconf needed a little more voodoo than a regular
  AC_CHECK_HEADERS call to properly. Also, added docs package to .spec file to
  create separate doc rpm.

* Tue Feb 28 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.7-1
- Initial version (at least the inital version with a changelog in the .spec)
